Table of Contents

Module: dirdbm | Twisted-0.17.4/twisted/persisted/dirdbm.py
--- | ---

I am a DBM-style interface to a directory.

Each key is stored as a single file. This is not expected to be very fast or efficient, but it's good for easy debugging.

DirDBMs are not thread-safe, they should only be accessed by one thread at a time.

Imported modules |
--- | ---
import base64 import cPickle import glob import os import string import types
Functions |
open
| open

    open (
            file,
            flag=None,
            mode=None,
            )

open(file); This is for `anydbm` compatibility

Classes |

DirDBM | A directory with a DBM interface.
Shelf | A directory with a DBM shelf interface.

Table of Contents

This document was automatically generated on Sat Apr 20 01:31:01 2002 by HappyDoc version 2.0